void setup() {
  // Data Direction Registers - 0: Input, 1: Output  
  DDRB  = B11100000;
  DDRC  = B01000000;
  DDRD  = B10000000;
  DDRE  = B00000000;
  DDRF  = B00000000;    
  // Data Output Registers - Controls Pull-Up On Inputs & Controls Output
  PORTB = B00011111;  // B0 B1 B2 B3 B4 B6
  PORTC = B10111111;  // C7
  PORTD = B01111111;  // D2 D3 D4 D5 D7
  PORTE = B11111111;  // E6
  PORTF = B11111111;  // F0 F1 F4 F5 F6 F7
  Serial.begin(9600); // USB is always 12 Mbit/sec
//  FlashNow = millis();

//  Serial.println("Hello");

#ifdef OLED
  Wire.begin();
  SeeedOled.init();                    // initialze SEEED OLED display
  SeeedOled.clearDisplay();            // clear the screen and set start position to top left corner
  SeeedOled.setNormalDisplay();        // Set display to normal mode (i.e non-inverse mode)
  SeeedOled.setPageMode();             // Set addressing mode to Page Mode
  SeeedOled.setTextXY(0,0); SeeedOled.putString(" Standard Mode"); // Print the String
  SeeedOled.setTextXY(2,0); SeeedOled.putString(" SHIFT - OFF"); // Print the String
  SeeedOled.setTextXY(3,0); SeeedOled.putString("  CTRL - OFF"); // Print the String
  SeeedOled.setTextXY(4,0); SeeedOled.putString("   ALT - OFF"); // Print the String
  SeeedOled.setTextXY(5,0); SeeedOled.putString("   WIN - OFF"); // Print the String
#endif
}

